Browse Source

Update python testing as per zed cycle teting runtime

In Zed cycle, we have dropped the python 3.6/3.7[1] testing
and its support.

[1] https://governance.openstack.org/tc/reference/runtimes/zed.html

Change-Id: I0373229fdceabb38a56ed9b94c5ef561b79577b3
changes/58/841358/1
Ghanshyam Mann 2 months ago
parent
commit
6ca48e79ba
  1. 2
      .zuul.yaml
  2. 5
      releasenotes/notes/drop-python-3-6-and-3-7-1e7190189d415492.yaml
  3. 4
      setup.cfg

2
.zuul.yaml

@ -2,7 +2,7 @@
templates:
- check-requirements
- lib-forward-testing-python3
- openstack-python3-yoga-jobs
- openstack-python3-zed-jobs
- publish-openstack-docs-pti
- release-notes-jobs-python3
check:

5
releasenotes/notes/drop-python-3-6-and-3-7-1e7190189d415492.yaml

@ -0,0 +1,5 @@
---
upgrade:
- |
Python 3.6 & 3.7 support has been dropped. The minimum version of Python now
supported is Python 3.8.

4
setup.cfg

@ -6,7 +6,7 @@ description_file =
author = OpenStack
author_email = openstack-discuss@lists.openstack.org
home_page = https://docs.openstack.org/os-brick/
python_requires = >=3.6
python_requires = >=3.8
classifier =
Environment :: OpenStack
Intended Audience :: Information Technology
@ -17,8 +17,6 @@ classifier =
Programming Language :: Python :: Implementation :: CPython
Programming Language :: Python :: 3 :: Only
Programming Language :: Python :: 3
Programming Language :: Python :: 3.6
Programming Language :: Python :: 3.7
Programming Language :: Python :: 3.8
Programming Language :: Python :: 3.9

Loading…
Cancel
Save